Skip to content
POST
/user/proxy-cached
curl --request POST \
--url https://example.com/user/proxy-cached \
--header 'Content-Type: application/json' \
--header 'X-Tenzir-UserKey: <X-Tenzir-UserKey>' \
--data '{ "tenant_id": "example", "node_id": "example", "request_id": "example", "http": { "path": "example", "method": "GET", "api_version": 0, "headers": {}, "body_base64": "example" } }'
Media type application/json
ProxyRequest

This is sent as request body to the /proxy endpoint.

object
tenant_id
required
Tenant Id
string
node_id
required
Node Id
string
request_id
Any of:
string
http
required
ProxiedRawHttpRequest
object
path
required
Path
string
method
required
Method
string
Allowed values: GET POST DELETE PUT HEAD PATCH OPTIONS
api_version
Api Version
integer
0
headers
Headers
object
key
additional properties
string
body_base64
Any of:
string

Successful Response

Media type application/json
CachedProxyResponse
object
http
required
ProxiedHttpResponse
object
code
required
Code
integer
body_json
Any of:
object
key
additional properties
any
request_id
required
Request Id
string
from_cache
From Cache
boolean
cache_time
Any of:
string
Example
{
"from_cache": false
}

{"detail": "Invalid API Key"} {"detail": "Not permitted to access this tenant"}

{"detail": "Cache not found"} {"detail": "Tenant not found"} {"detail": "Node not found"}

{"detail": "Proxy timed out"}

{"detail": "Node not connected"}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}